/***************************************************************
 * Name:      wx003Main.h
 * Purpose:   Defines Application Frame
 * Author:    Salvador Pozo (salvador@conclase.net)
 * Created:   2024-04-16
 * Copyright: Salvador Pozo (www.conclase.net)
 * License:
 **************************************************************/

#ifndef WX003MAIN_H
#define WX003MAIN_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

#include <wx/imagpng.h>
#include <wx/generic/statbmpg.h>

#include "wx003App.h"


#include <wx/button.h>
#include <wx/statline.h>
#include <wx/activityindicator.h>
#include <wx/animate.h>

class wx003Dialog: public wxDialog
{
    public:
        wx003Dialog(wxDialog *dlg, const wxString& title);
        ~wx003Dialog();

    protected:
        enum
        {
            idBtnQuit = 1000,
            idBtnAbout,
            idBtnActivityOn,
            idBtnActivityOff,
            idAniGIF,
            idAniANI
        };
        wxStaticText* m_staticText1;
        wxStaticBox * m_staticBox;
        wxButton* BtnAbout;
        wxStaticLine* m_staticline1;
        wxButton* BtnQuit;
        wxButton* BtnActivityOn;
        wxButton* BtnActivityOff;
        wxAnimationCtrl* AniGIF;
        wxAnimationCtrl* AniANI;

    private:
        wxActivityIndicator Indicador;
        void OnClose(wxCloseEvent& event);
        void OnQuit(wxCommandEvent& event);
        void OnAbout(wxCommandEvent& event);
        void OnActivityOn(wxCommandEvent& event);
        void OnActivityOff(wxCommandEvent& event);
        DECLARE_EVENT_TABLE()
};

#endif // WX003MAIN_H

